import { SimpleLocalIntegration } from '../../core/index.js';
import { BtSmarthubConfigFlow } from './bt_smarthub.classes.configflow.js';
import { createBtSmarthubDiscoveryDescriptor } from './bt_smarthub.discovery.js';
import type { IBtSmarthubConfig } from './bt_smarthub.types.js';
import { btSmarthubDomain, btSmarthubProfile } from './bt_smarthub.types.js';

export class BtSmarthubIntegration extends SimpleLocalIntegration<IBtSmarthubConfig> {
  public readonly domain = btSmarthubDomain;
  public readonly discoveryDescriptor = createBtSmarthubDiscoveryDescriptor();
  public readonly configFlow = new BtSmarthubConfigFlow();

  constructor() {
    super(btSmarthubProfile);
  }
}

export class HomeAssistantBtSmarthubIntegration extends BtSmarthubIntegration {}
